# This file was generated by https://github.com/kamilchm/go2nix v2.0-dev
{ stdenv, buildGoPackage, zip, fetchFromGitHub }:

buildGoPackage rec {
  pname = "teleport";
  version = "4.2.10";

  # This repo has a private submodule "e" which fetchgit cannot handle without failing.
  src = fetchFromGitHub {
    owner = "gravitational";
    repo = "teleport";
    rev = "v${version}";
    sha256 = "0y6qih4m8snzfj8ddbcfqx0cz4ric0i5vgz0rgqp6wpi2arwysnn";
  };

  goPackagePath = "github.com/gravitational/teleport";

  subPackages = [ "tool/tctl" "tool/teleport" "tool/tsh" ];

  nativeBuildInputs = [ zip ];

  postBuild = ''
    pushd .
    cd $NIX_BUILD_TOP/go/src/github.com/gravitational/teleport
    mkdir -p build
    echo "making webassets"
    make build/webassets.zip
    cat build/webassets.zip >> $NIX_BUILD_TOP/go/bin/teleport
    rm -fr build/webassets.zip
    cd $NIX_BUILD_TOP/go/bin
    zip -q -A teleport
    popd
  '';

  dontStrip = true;

  meta = {
    description = "A SSH CA management suite";
    homepage = "https://gravitational.com/teleport/";
    license = stdenv.lib.licenses.asl20;
    maintainers = with stdenv.lib.maintainers; [ sigma tomberek ];
    platforms = stdenv.lib.platforms.unix;
  };
}
